Create
curl --request POST \
--url https://studio-api.onlytraffic.com/api/external/v1/agencies \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Bright Studio",
"slug": "bright-studio",
"code": "BST",
"description": "<string>",
"website": "<string>",
"tg_contact": "<string>",
"email": "jsmith@example.com",
"email_published": true,
"countries": "worldwide",
"model_commission": 50,
"model_commission_max": 50,
"model_commission_custom": "<string>",
"model_requirements": "<string>",
"platforms": [],
"offered_services": [],
"founded": "2023-12-25",
"topagencies_publish": true
}
'import requests
url = "https://studio-api.onlytraffic.com/api/external/v1/agencies"
payload = {
"name": "Bright Studio",
"slug": "bright-studio",
"code": "BST",
"description": "<string>",
"website": "<string>",
"tg_contact": "<string>",
"email": "jsmith@example.com",
"email_published": True,
"countries": "worldwide",
"model_commission": 50,
"model_commission_max": 50,
"model_commission_custom": "<string>",
"model_requirements": "<string>",
"platforms": [],
"offered_services": [],
"founded": "2023-12-25",
"topagencies_publish": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Bright Studio',
slug: 'bright-studio',
code: 'BST',
description: '<string>',
website: '<string>',
tg_contact: '<string>',
email: 'jsmith@example.com',
email_published: true,
countries: 'worldwide',
model_commission: 50,
model_commission_max: 50,
model_commission_custom: '<string>',
model_requirements: '<string>',
platforms: [],
offered_services: [],
founded: '2023-12-25',
topagencies_publish: true
})
};
fetch('https://studio-api.onlytraffic.com/api/external/v1/agencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}Agencies
Create
Create an agency.
POST
/
agencies
Create
Authorizations
Your API key from the Studio Dashboard
Body
application/json
Body for POST /agencies. name, slug, and code are required and become immutable after creation.
Required on create. Immutable afterwards: passed name is silently ignored on update.
Required string length:
2 - 55Example:
"Bright Studio"
URL-friendly identifier, lowercase letters / digits / hyphens. Required on create, immutable afterwards (silently ignored on update).
Required string length:
3 - 35Pattern:
^[a-z0-9-]+$Example:
"bright-studio"
Agency code: 3 to 6 uppercase letters. Required on create, immutable afterwards (silently ignored on update).
Required string length:
3 - 6Pattern:
^[A-Z]+$Example:
"BST"
Maximum string length:
500Maximum string length:
255Maximum string length:
64Available options:
not_specified, 0_10, 10_50, 50_100, 100_plus worldwide (string), an empty array [] (collapses to worldwide), or an array of ISO 3166-1 alpha-2 country codes.
Available options:
worldwide Required range:
0 <= x <= 100Required range:
0 <= x <= 100Maximum string length:
120Maximum string length:
2000Maximum array length:
10Available options:
onlyfans, fansly Maximum array length:
30Available options:
growth_marketing, chatting_management, social_media_management, content_support, branding_pr, dmca_protection, legal_support, coaching_consulting Available options:
not_specified, full_service, boutique, specialized, coaching Was this page helpful?
⌘I